CVE-2012-6061

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The dissect_wtp_common function in epan/dissectors/packet-wtp.c in the WTP dissector in Wireshark 1.6.x before 1.6.12 and 1.8.x before 1.8.4 uses an incorrect data type for a certain length field, which allows remote attackers to cause a denial of service (integer overflow and infinite loop) via a crafted value in a packet.

References

http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-wtp.c?r1=45614&r2=45613&pathrev=45614

http://anonsvn.wireshark.org/viewvc?view=revision&revision=45614

http://lists.opensuse.org/opensuse-updates/2012-12/msg00022.html

http://lists.opensuse.org/opensuse-updates/2013-01/msg00042.html

http://rhn.redhat.com/errata/RHSA-2014-0341.html

http://www.wireshark.org/security/wnpa-sec-2012-37.html

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7869

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A15253

Details

Source: MITRE

Published: 2012-12-05

Updated: 2017-09-19

Type: CWE-189

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Tenable Plugins

View all (15 total)

IDNameProductFamilySeverity
91395Debian DLA-497-1 : wireshark security updateNessusDebian Local Security Checks
medium
80806Oracle Solaris Third-Party Patch Update : wireshark (multiple_vulnerabilities_fixed_in_wireshark)NessusSolaris Local Security Checks
medium
79162CentOS 6 : wireshark (CESA-2013:1569)NessusCentOS Local Security Checks
high
74838openSUSE Security Update : wireshark (openSUSE-SU-2012:1633-1)NessusSuSE Local Security Checks
medium
73285Scientific Linux Security Update : wireshark on SL5.x i386/x86_64 (20140331)NessusScientific Linux Local Security Checks
high
73281RHEL 5 : wireshark (RHSA-2014:0341)NessusRed Hat Local Security Checks
high
73279Oracle Linux 5 : wireshark (ELSA-2014-0341)NessusOracle Linux Local Security Checks
high
73276CentOS 5 : wireshark (CESA-2014:0341)NessusCentOS Local Security Checks
high
71301Scientific Linux Security Update : wireshark on SL6.x i386/x86_64 (20131121)NessusScientific Linux Local Security Checks
high
71268Amazon Linux AMI : wireshark (ALAS-2013-251)NessusAmazon Linux Local Security Checks
high
71105Oracle Linux 6 : wireshark (ELSA-2013-1569)NessusOracle Linux Local Security Checks
high
71005RHEL 6 : wireshark (RHSA-2013:1569)NessusRed Hat Local Security Checks
high
64469SuSE 11.2 Security Update : wireshark (SAT Patch Number 7240)NessusSuSE Local Security Checks
medium
63096Wireshark 1.8.x < 1.8.4 Multiple VulnerabilitiesNessusWindows
medium
63095Wireshark 1.6.x < 1.6.12 Multiple VulnerabilitiesNessusWindows
medium